# Google Data APIs Client Library (1.43.0)

## com.google.api.gbase.client
Class GmAttributes.GmAttribute

    java.lang.Object
      com.google.api.gbase.client.GmAttributes.GmAttribute

Enclosing class:
  GmAttributes

    public static class GmAttributes.GmAttribute

extends java.lang.Object

The information defining an attribute, as contained by the gm:attribute element in the itemtypes feed.

Nested Class Summary
`static class` `GmAttributes.GmAttribute.Importance` Enumeration defining the importance levels that an attribute can have.

Constructor Summary
`GmAttributes.GmAttribute(GoogleBaseAttributeId attributeId, GmAttributes.GmAttribute.Importance importance)` Creates a GmAttribute instance with the specified id and importance.

Method Summary
`GoogleBaseAttributeId` `getAttributeId()` Returns the id of this attribute.
`GmAttributes.GmAttribute.Importance` `getImportance()` Returns the importance for this attribute, or null if not defined.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GmAttributes.GmAttribute

    public GmAttributes.GmAttribute(GoogleBaseAttributeId attributeId,
                                    GmAttributes.GmAttribute.Importance importance)

  Creates a GmAttribute instance with the specified id and importance. A null importance value should be provided when no importance is defined.

  Parameters:
    `attributeId` - the id of the attribute
    `importance` - the importance, or null if no information is available
  Throws:
    `java.lang.NullPointerException` - if the attributeId is null.

Method Detail

### getAttributeId

    public GoogleBaseAttributeId getAttributeId()

  Returns the id of this attribute.

### getImportance

    public GmAttributes.GmAttribute.Importance getImportance()

  Returns the importance for this attribute, or null if not defined.